=== debian/changelog ===
dracut (059-4ubuntu2) mantic; urgency=medium

  * Split dracut-install into separate package for initramfs-tools
    (LP: #2031185)
  * Update out-of-tree patches to final version merged upstream
  * Cherry-pick upstream fixes:
    - fix(dracut-systemd): rootfs-generator issues
    - test: increase test VM memory from 512M to 1024M to avoid OOM killer
  * Address lintian complains:
    - Remove empty directories in /usr/lib/dracut/modules.d
    - Add ${misc:Depends} to all binary package dependencies
    - Override lintian complaint executable-in-usr-lib (reported upstream)
    - Override false positive about missing init.d scripts
  * Install files from debian/tmp to make dh_missing happy
  * Install dracut.kernel.7 man page (link to dracut.cmdline.7)
  * Restrict autopkgtest to amd64 (other architectures need upstrem work)
  * autopkgtest: run more upstream test cases

 -- Benjamin Drung <bdrung@ubuntu.com>  Tue, 22 Aug 2023 16:34:06 +0200

dracut (059-4ubuntu1) mantic; urgency=medium

  * fix(test): running tests no longer requires to be root
  * test: Make dracut and modules.d directory configurable
  * Add upstream autopkgtest to run four test cases (LP: #2031417)
  * Add modules 80test, 80test-makeroot, and 80test-root to dracut-core

 -- Benjamin Drung <bdrung@ubuntu.com>  Wed, 16 Aug 2023 02:02:13 +0200

dracut (059-4) unstable; urgency=low

  * Fix file name in patch initrd-not-initramfs.patch
    Closes: #1029413, #1030191
    Thanks to nabijaczleweli for for the patch

 -- Thomas Lange <lange@debian.org>  Thu, 09 Mar 2023 19:13:42 +0100

dracut (059-3) unstable; urgency=low

  * control: add breaks + replaces, Closes: #1028303

 -- Thomas Lange <lange@debian.org>  Mon, 09 Jan 2023 20:56:29 +0100

dracut (059-2) unstable; urgency=low

  * add patches from Laszlo Gombos
    dracut-live only depends on dracut-core not on dracut-network
    overlayfs dracut module belongs to dracut-core and not to dracut-live
    wicked dracut module is not supported by debian
    remove multipath patch, no longer needed

 -- Thomas Lange <lange@debian.org>  Sat, 07 Jan 2023 11:43:33 +0100

dracut (059-1) unstable; urgency=low

  * new upstream version
  * control: new homepage, new standards version
  * remove 10-debian.conf, build generic initrd by default
  * rules: run script explicitly as shell, Closes: #1025378
  * nm-path: fix more paths, Closes: #1016741
  * patches/udevsettle: fix broken network in kvm in some cases
  * remove dev-shm patch which is not needed, Closes: #1025996
  * remove systemd-users patch, Closes: #1025951

 -- Thomas Lange <lange@debian.org>  Sun, 25 Dec 2022 17:09:02 +0100

dracut (057+157-4) unstable; urgency=low

  * add missing module 90overlayfs

 -- Thomas Lange <lange@debian.org>  Fri, 02 Dec 2022 16:19:16 +0100
