## dracut 060%2B5

=== debian/tests/control ===
--- 
+++ 
@@ -11,7 +11,6 @@
 Depends: btrfs-progs,
          busybox,
          cryptsetup,
-         dbus-broker,
          dmraid,
          dracut-core,
          fdisk,
@@ -33,7 +32,6 @@
 Test-Command: debian/tests/run-upstream-tests TESTS="16"
 Depends: btrfs-progs,
          busybox,
-         dbus-broker,
          dracut-live,
          fdisk,
          kbd,
