## dracut 060+5

=== Makefile ===
--- 
+++ 
@@ -1,17 +1,16 @@
 -include dracut-version.sh
 
-DRACUT_MAIN_VERSION := $(shell env GIT_CEILING_DIRECTORIES=$(CURDIR)/.. git describe --abbrev=0 --tags --always 2>/dev/null || :)
+DRACUT_MAIN_VERSION ?= $(shell env GIT_CEILING_DIRECTORIES=$(CURDIR)/.. git describe --abbrev=0 --tags --always 2>/dev/null || :)
 ifeq ($(DRACUT_MAIN_VERSION),)
 DRACUT_MAIN_VERSION = $(DRACUT_VERSION)
 endif
-DRACUT_FULL_VERSION := $(shell env GIT_CEILING_DIRECTORIES=$(CURDIR)/.. git describe --tags --always 2>/dev/null || :)
+DRACUT_FULL_VERSION ?= $(shell env GIT_CEILING_DIRECTORIES=$(CURDIR)/.. git describe --tags --always 2>/dev/null || :)
 ifeq ($(DRACUT_FULL_VERSION),)
 DRACUT_FULL_VERSION = $(DRACUT_VERSION)
 endif
 
-HAVE_SHELLCHECK ?= $(shell which shellcheck >/dev/null 2>&1 && echo yes)
-HAVE_SHFMT ?= $(shell which shfmt >/dev/null  2>&1 && echo yes)
-HAVE_RPMBUILD ?= $(shell which rpmbuild >/dev/null  2>&1 && echo yes)
+HAVE_SHELLCHECK ?= $(shell command -v shellcheck >/dev/null 2>&1 && echo yes)
+HAVE_SHFMT ?= $(shell command -v shfmt >/dev/null  2>&1 && echo yes)
 
 -include Makefile.inc
 
@@ -49,9 +48,9 @@
 
 manpages = $(man1pages) $(man5pages) $(man7pages) $(man8pages)
 
-.PHONY: install clean archive rpm srpm testimage test all check AUTHORS CONTRIBUTORS doc dracut-version.sh
-
-all: dracut-version.sh dracut.pc dracut-install src/skipcpio/skipcpio dracut-util
+.PHONY: install clean archive testimage test all check AUTHORS CONTRIBUTORS doc
+
+all: dracut.pc dracut-install src/skipcpio/skipcpio dracut-util
 
 %.o : %.c
 	$(CC) -c $(CFLAGS) $(CPPFLAGS) $(KMOD_CFLAGS) $< -o $@
@@ -219,18 +218,13 @@
 	mkdir -p $(DESTDIR)${pkgconfigdatadir}
 	install -m 0644 dracut.pc $(DESTDIR)${pkgconfigdatadir}/dracut.pc
 
-dracut-version.sh:
-	@rm -f dracut-version.sh
-	@printf "#!/bin/sh\n# shellcheck disable=SC2034\nDRACUT_VERSION=%s\n" "$(DRACUT_FULL_VERSION)" > dracut-version.sh
-
 clean:
 	$(RM) *~
 	$(RM) */*~
 	$(RM) */*/*~
 	$(RM) $(manpages:%=%.xml) dracut.xml
 	$(RM) test-*.img
-	$(RM) dracut-*.rpm dracut-*.tar.bz2 dracut-*.tar.xz
-	$(RM) dracut-version.sh
+	$(RM) dracut-*.tar.bz2 dracut-*.tar.xz
 	$(RM) dracut-install src/install/dracut-install $(DRACUT_INSTALL_OBJECTS)
 	$(RM) skipcpio/skipcpio $(SKIPCPIO_OBJECTS)
 	$(RM) dracut-util util/util $(UTIL_OBJECTS)
@@ -242,44 +236,64 @@
 dist: dracut-$(DRACUT_MAIN_VERSION).tar.xz
 
 dracut-$(DRACUT_MAIN_VERSION).tar.xz: doc syncheck
-	@echo "DRACUT_VERSION=$(DRACUT_MAIN_VERSION)" > dracut-version.sh
 	git archive --format=tar $(DRACUT_MAIN_VERSION) --prefix=dracut-$(DRACUT_MAIN_VERSION)/ > dracut-$(DRACUT_MAIN_VERSION).tar
 	mkdir -p dracut-$(DRACUT_MAIN_VERSION)
-	for i in $(manpages) dracut.html dracut-version.sh; do [ "$${i%/*}" != "$$i" ] && mkdir -p "dracut-$(DRACUT_MAIN_VERSION)/$${i%/*}"; cp "$$i" "dracut-$(DRACUT_MAIN_VERSION)/$$i"; done
+	for i in $(manpages) dracut.html; do [ "$${i%/*}" != "$$i" ] && mkdir -p "dracut-$(DRACUT_MAIN_VERSION)/$${i%/*}"; cp "$$i" "dracut-$(DRACUT_MAIN_VERSION)/$$i"; done
 	tar --owner=root --group=root -rf dracut-$(DRACUT_MAIN_VERSION).tar $$(find dracut-$(DRACUT_MAIN_VERSION) -type f)
 	rm -fr -- dracut-$(DRACUT_MAIN_VERSION).tar.xz dracut-$(DRACUT_MAIN_VERSION)
 	xz -9 dracut-$(DRACUT_MAIN_VERSION).tar
 	rm -f -- dracut-$(DRACUT_MAIN_VERSION).tar
 
-ifeq ($(HAVE_RPMBUILD),yes)
-rpm: dracut-$(DRACUT_MAIN_VERSION).tar.xz syncheck
-	rpmbuild=$$(mktemp -d -p /var/tmp rpmbuild-dracut.XXXXXX); src=$$(pwd); \
-	cp dracut-$(DRACUT_MAIN_VERSION).tar.xz "$$rpmbuild"; \
-	LC_MESSAGES=C $$src/tools/git2spec.pl $(DRACUT_MAIN_VERSION) "$$rpmbuild" < pkgbuild/dracut.spec > $$rpmbuild/dracut.spec; \
-	(cd "$$rpmbuild"; \
-	wget https://www.gnu.org/licenses/lgpl-2.1.txt; \
-	rpmbuild --define "_topdir $$PWD" --define "_sourcedir $$PWD" \
-	        --define "_specdir $$PWD" --define "_srcrpmdir $$PWD" \
-		--define "_rpmdir $$PWD" -ba dracut.spec; ) && \
-	( mv "$$rpmbuild"/{,$$(uname -m)/}*.rpm $(DESTDIR).; rm -fr -- "$$rpmbuild"; ls $(DESTDIR)*.rpm )
-
-srpm: dracut-$(DRACUT_MAIN_VERSION).tar.xz syncheck
-	rpmbuild=$$(mktemp -d -t rpmbuild-dracut.XXXXXX); src=$$(pwd); \
-	cp dracut-$(DRACUT_MAIN_VERSION).tar.xz "$$rpmbuild"; \
-	LC_MESSAGES=C $$src/tools/git2spec.pl $(DRACUT_MAIN_VERSION) "$$rpmbuild" < pkgbuild/dracut.spec > $$rpmbuild/dracut.spec; \
-	(cd "$$rpmbuild"; \
-	[ -f $$src/lgpl-2.1.txt ] && cp $$src/lgpl-2.1.txt . || wget https://www.gnu.org/licenses/lgpl-2.1.txt; \
-	rpmbuild --define "_topdir $$PWD" --define "_sourcedir $$PWD" \
-	        --define "_specdir $$PWD" --define "_srcrpmdir $$PWD" \
-		--define "_rpmdir $$PWD" -bs dracut.spec; ) && \
-	( mv "$$rpmbuild"/*.src.rpm $(DESTDIR).; rm -fr -- "$$rpmbuild"; ls $(DESTDIR)*.rpm )
-else
-.PHONY: rpm srpm
-rpm: syncheck
-srpm: syncheck
-endif
-
 syncheck:
 	@ret=0;for i in dracut-initramfs-restore.sh modules.d/*/*.sh; do \
                 [ "$${i##*/}" = "module-setup.sh" ] && continue; \
                 read line < "$$i"; [ "$${line#*bash*}" != "$$line" ] && continue; \
+		[ $$V ] && echo "posix syntax check: $$i"; bash --posix -n "$$i" ; ret=$$(($$ret+$$?)); \
+		[ $$V ] && echo "checking for [[: $$i"; if grep -Fq '[[ ' "$$i" ; then ret=$$(($$ret+1)); echo "$$i contains [["; fi; \
+		[ $$V ] && echo "checking for echo -n: $$i"; if grep -Fq 'echo -n ' "$$i" ; then ret=$$(($$ret+1)); echo "$$i contains echo -n"; fi \
+	done;exit $$ret
+	@ret=0;for i in *.sh modules.d/*/*.sh modules.d/*/module-setup.sh; do \
+		[ $$V ] && echo "bash syntax check: $$i"; bash -n "$$i" ; ret=$$(($$ret+$$?)); \
+	done;exit $$ret
+ifeq ($(HAVE_SHELLCHECK),yes)
+ifeq ($(HAVE_SHFMT),yes)
+	shellcheck $$(shfmt -f .)
+else
+	find . -name '*.sh' -print0 | xargs -0 shellcheck
+endif
+endif
+
+check: all syncheck
+	@[ "$$EUID" == "0" ] || { echo "'check' must be run as root! Please use 'sudo'."; exit 1; }
+	@$(MAKE) -C test check
+
+testimage: all
+	./dracut.sh -N -l -a debug -f test-$(KVERSION).img $(KVERSION)
+	@echo wrote  test-$(KVERSION).img
+
+debugtestimage: all
+	./dracut.sh --debug -l -a debug -f test-$(KVERSION).img $(KVERSION)
+	@echo wrote  test-$(KVERSION).img
+
+testimages: all
+	./dracut.sh -l -a debug --kernel-only -f test-kernel-$(KVERSION).img $(KVERSION)
+	@echo wrote  test-$(KVERSION).img
+	./dracut.sh -l -a debug --no-kernel -f test-dracut.img $(KVERSION)
+	@echo wrote  test-dracut.img
+
+debughostimage: all
+	./dracut.sh --debug -H -l -f test-$(KVERSION).img $(KVERSION)
+	@echo wrote  test-$(KVERSION).img
+
+hostimage: all
+	./dracut.sh -H -l -f test-$(KVERSION).img $(KVERSION)
+	@echo wrote  test-$(KVERSION).img
+
+efi: all
+	./dracut.sh --uefi -H -l -f linux-$(KVERSION).efi $(KVERSION)
+	@echo wrote linux-$(KVERSION).efi
+
+AUTHORS:
+	@git log | git shortlog --numbered --summary -e | while read -r a rest || [ -n "$$rest" ]; do echo "$$rest"; done > AUTHORS
+
+CONTRIBUTORS:
