=== src/util/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.17)
project(dracut-util C)

set(CMAKE_C_STANDARD 99)

add_executable(dracut-util util.c)
