=== debian/changelog ===
dracut (060+5-1ubuntu3) noble; urgency=high

  * No change rebuild for 64-bit time_t and frame pointers.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 17:56:43 +0200

dracut (060+5-1ubuntu2) noble; urgency=medium

  * d/p/ldconfig-real.patch: make sure ldconfig.real is installed where needed
    (LP: #2053057)

 -- Nick Rosbrook <enr0n@ubuntu.com>  Tue, 13 Feb 2024 11:26:56 -0500

dracut (060+5-1ubuntu1) noble; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - fix(test): running tests no longer requires to be root
    - Add modules 80test, 80test-makeroot, and 80test-root to dracut-core
    - Add autopkgtest to run upstream test cases on amd64 (LP: #2031417)
    - Split dracut-install into separate package for initramfs-tools
      (LP: #2031185)
  * test(FULL SYSTEMD): no need to include dbus to the target rootfs
  * Drop dbus-broker from autopkgtest

 -- Benjamin Drung <bdrung@ubuntu.com>  Wed, 07 Feb 2024 18:44:09 +0100

dracut (060+5-1) unstable; urgency=medium

  * upstream changed the release process, and do not tag the releases any
    more
  * 059+212 was already version 060+5
  * add dracut-network.conffiles, Closes: 1057807

 -- Thomas Lange <lange@debian.org>  Fri, 08 Dec 2023 21:09:47 +0100

dracut (059+212-3) unstable; urgency=medium

  * fix handling of dracut-version.sh

 -- Thomas Lange <lange@debian.org>  Wed, 06 Dec 2023 14:36:26 +0100

dracut (059+212-2) unstable; urgency=low

  * debian/rules: use correct Debian version

 -- Thomas Lange <lange@debian.org>  Wed, 06 Dec 2023 12:00:30 +0100

dracut (059+212-1) unstable; urgency=low

  * merge upstream changes, Closes: #1056059, #1041562, #1054400, #1016052

 -- Thomas Lange <lange@debian.org>  Thu, 30 Nov 2023 22:10:02 +0100
