=== debian/control ===
--- 
+++ 
@@ -42,8 +42,8 @@
 Package: dracut-install
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Breaks: dracut-core (<< 059-4ubuntu2~)
-Replaces: dracut-core (<< 059-4ubuntu2~)
+Breaks: dracut-core (<< 059-5~)
+Replaces: dracut-core (<< 059-5~)
 Description: dracut is an event driven initramfs infrastructure (dracut-install)
  This package just contains the dracut-install command to be used by
  initramfs generating tools.
@@ -51,7 +51,7 @@
 Package: dracut-network
 Architecture: all
 Recommends: nfs-common, open-iscsi, nbd-client, curl
-Depends: dracut-core, iputils-arping, isc-dhcp-client, ${misc:Depends}
+Depends: dracut-core, iputils-arping, isc-dhcp-client | systemd | connman | network-manager, ${misc:Depends}
 Description: dracut is an event driven initramfs infrastructure (network modules)
  Package to build a dracut initramfs with network support. This
  includes dracut modules for NFS, CIFS, iSCSI, HTTP, NBD, FCP and FCOE.
