=== debian/changelog ===
dracut (102-3ubuntu4) oracular; urgency=medium

  * Cherry-pick upstream fixes for systemd 256 (LP: #2069290):
    - fix(test): use --add instead of --modules to create test-makeroot
    - test: avoid writing to rootfs as it might be read-only
  * fix(dracut-initramfs-restore.sh): correct initrd globbing
  * feat(lsinitrd.sh): support configurable initrd filenames
  * Default initrdname to initrd.img-${kernel}
  * Cherry-pick upstream performance fixes (LP: #2065180):
    - perf(dracut-install): memoize find_kmod_module_from_sysfs_node
    - perf(dracut-install): use driver/module sysfs dirs for module name
  * test: virtual hardware watchdog not available on s390x

 -- Benjamin Drung <bdrung@ubuntu.com>  Mon, 08 Jul 2024 20:37:51 +0200

dracut (102-3ubuntu3) oracular; urgency=medium

  * autopkgtest: set ARCH to dpkg architecture
  * dracut-core:
    - drop recommending pkgconf
    - drop depending directly on libkmod2. dracut-install links against it.
    - demote cryptsetup, dmraid, dmsetup, kpartx, lvm2, mdadm to suggests
    - demote binutils to suggests. its only needed when using UEFI executables.
    - recommend zstd instead of pigz and default to zstd
  * Drop dracut-config-generic. Building a generic image is and will be the
    default.

 -- Benjamin Drung <bdrung@ubuntu.com>  Thu, 27 Jun 2024 23:07:12 +0200

dracut (102-3ubuntu2) oracular; urgency=medium

  * dracut: use await variant of update-initramfs trigger
  * fix(shell-completion): remove hashbang from bash completions
  * drop udevsettle patch (these kind of patches should be applied upstream)
  * drop nm-path patch (network-manager ships the helpers in /usr/libexec)
  * drop 90overlay-root in favor of 90overlayfs (Closes: #1017039)
  * run autopkgtest with V=2
  * autopkgtest: depend on tpm2-tools for systemd-pcrphase (LP: #2069290)
  * run autopkgtest on all architectures
  * autopkgtest: disable using KVM for ppc64el

 -- Benjamin Drung <bdrung@ubuntu.com>  Fri, 14 Jun 2024 01:57:17 +0200

dracut (102-3ubuntu1) oracular; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - autopkgtest: Enable dmraid upstream test 14
    - Run upstream autopkgtest as root
    - disable using DH_VERBOSE=1
    - perf(dracut-install): preload kmod resources for quicker module lookup
      (LP: #2065180)
  * dracut-core: add new modules 01systemd-bsod, 01systemd-creds, 90numlock,
    90pcmcia
  * Explicitly mark 45ifcfg module as not installed
  * Switch to debhelper 13
  * test(RAID-DEG): fix running test out of tree

 -- Benjamin Drung <bdrung@ubuntu.com>  Wed, 12 Jun 2024 19:38:43 +0200

dracut (102-3) unstable; urgency=medium

  * add module net-lib, Closes: #1072744
  * remove obsolete patch fido-libz

 -- Thomas Lange <lange@debian.org>  Fri, 07 Jun 2024 13:57:47 +0200

dracut (102-2) unstable; urgency=medium

  * add 90systemd-cryptsetup module, Closes: 1072538

 -- Thomas Lange <lange@debian.org>  Tue, 04 Jun 2024 11:38:08 +0200

dracut (102-1) unstable; urgency=low

  * new upstream:
    Closes: 1029324, 1041614, 1022129, 1071592, 1072174, 1068250
    Closes: 1071182, 1059501
  * change to new dracut-ng upstream repository, the package name remains
    unchanged
  * apply salsa MR #11, Closes: 753752
  * move kpartx from depends to recommends, Closes: 1033158

 -- Thomas Lange <lange@debian.org>  Mon, 03 Jun 2024 14:14:11 +0200

dracut (060+5-8ubuntu2) oracular; urgency=medium

  * perf(dracut-install): preload kmod resources for quicker module lookup
    (LP: #2065180)

 -- Benjamin Drung <bdrung@ubuntu.com>  Tue, 04 Jun 2024 16:33:13 +0200

dracut (060+5-8ubuntu1) oracular; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - autopkgtest: Enable dmraid upstream test 14
    - Run upstream autopkgtest as root
    - disable using DH_VERBOSE=1
    - d/p/ldconfig-real.patch: make sure ldconfig.real is installed where
      needed (LP: #2053057)

 -- Benjamin Drung <bdrung@ubuntu.com>  Tue, 21 May 2024 17:38:39 +0200

dracut (060+5-8) unstable; urgency=low

  * control: adjust breaks, replaces, Closes: #1071208, #1071244
  * add patch taken from dracut-ng, Closes: #1071182

 -- Thomas Lange <lange@debian.org>  Sun, 19 May 2024 16:45:33 +0200

dracut (060+5-7) unstable; urgency=low

  * control: update package depends name
  * add lintian override

 -- Thomas Lange <lange@debian.org>  Mon, 01 Apr 2024 23:01:58 +0200

dracut (060+5-2) unstable; urgency=low

  * set --systemdsystemunitdir from pkg-config, MR #32, Closes: #1057927
  * split dracut-install into separate package for initramfs-tools, MR #27
  * enable autopkgtest test suite, MR #24

 -- Thomas Lange <lange@debian.org>  Sun, 31 Mar 2024 19:05:19 +0200
