=== debian/control ===
--- 
+++ 
@@ -3,11 +3,11 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Thomas Lange <lange@debian.org>
-Build-Depends: debhelper-compat (= 12), debhelper, asciidoc-base, xsltproc, docbook-xsl, docbook-xml, quilt, libkmod-dev, pkg-config
+Build-Depends: debhelper-compat (= 13), debhelper, asciidoc-base, xsltproc, docbook-xsl, docbook-xml, quilt, libkmod-dev, pkgconf, systemd-dev
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/debian/dracut
 Vcs-Git: https://salsa.debian.org/debian/dracut.git
-Homepage: https://github.com/dracutdevs/dracut/wiki/
+Homepage: https://github.com/dracut-ng/dracut-ng/wiki
 
 Package: dracut
 Architecture: all
@@ -24,8 +24,9 @@
 Package: dracut-core
 Architecture: any
 Multi-Arch: foreign
-Recommends: cryptsetup, dmsetup, dmraid, lvm2, mdadm, console-setup, binutils, systemd, pigz, pkg-config
-Depends: cpio, dracut-install, kmod, udev, kpartx, libkmod2, e2fsprogs, ${shlibs:Depends}, ${misc:Depends}
+Recommends: console-setup, systemd, zstd
+Depends: cpio, dracut-install, kmod, udev, e2fsprogs, ${shlibs:Depends}, ${misc:Depends}
+Suggests: binutils, cryptsetup, dmraid, dmsetup, kpartx, lvm2, mdadm
 Breaks: dracut-network (<< 057+157-2), dracut-live (<< 059-2)
 Replaces: dracut-network (<< 057+157-2), dracut-live (<< 059-2)
 Description: dracut is an event driven initramfs infrastructure (core tools)
@@ -42,8 +43,8 @@
 Package: dracut-install
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Breaks: dracut-core (<< 059-5~)
-Replaces: dracut-core (<< 059-5~)
+Breaks: dracut-core (<< 060+5-7~)
+Replaces: dracut-core (<< 060+5-7~)
 Description: dracut is an event driven initramfs infrastructure (dracut-install)
  This package just contains the dracut-install command to be used by
  initramfs generating tools.
@@ -80,13 +81,6 @@
  This package requires everything which is needed to build an
  initramfs with dracut, with live image capabilities, like Live CDs.
 
-Package: dracut-config-generic
-Architecture: all
-Depends: dracut-core, ${misc:Depends}
-Multi-Arch: foreign
-Description: dracut is an event driven initramfs infrastructure
- This is the dracut configuration to turn off hostonly image generation
-
 Package: dracut-config-rescue
 Architecture: all
 Depends: dracut-core, ${misc:Depends}
