=== debian/tests/control ===
--- 
+++ 
@@ -1,12 +1,12 @@
 # Note: These tests need root on Ubuntu, because the kernel is only readable by root. See https://launchpad.net/bugs/759725
-# Skip following test cases that also fail upstream:
+# Skip following test cases:
 # * TEST-20-NFS: https://github.com/dracutdevs/dracut/issues/1901
 # * TEST-30-ISCSI: https://github.com/dracutdevs/dracut/issues/2497
 # * TEST-35-ISCSI-MULTI: https://github.com/dracutdevs/dracut/issues/2498
 # * TEST-50-MULTINIC: disabled in upstream CI since 2023-01-02
 # * TEST-60-BONDBRIDGEVLAN: https://github.com/dracutdevs/dracut/issues/2328
 # arm64, armhf, ppc64el, and s390x need upstream support: https://github.com/dracutdevs/dracut/issues/2493
-Architecture: amd64
+Architecture: amd64 arm64 armhf ppc64el riscv64 s390x
 Test-Command: debian/tests/run-upstream-tests SKIP="16 20 30 35 40 50 60"
 Depends: btrfs-progs,
          busybox,
@@ -21,14 +21,18 @@
          make,
          mdadm,
          mount,
+         qemu-efi-aarch64 [arm64],
+         qemu-efi-arm [armhf],
          qemu-kvm,
+         seabios [ppc64el],
          systemd-boot-efi,
          systemd-sysv,
+         tpm2-tools,
          util-linux
 Restrictions: allow-stderr, needs-root
 Features: test-name=upstream-dracut-core
 
-Architecture: amd64
+Architecture: amd64 arm64 armhf ppc64el riscv64 s390x
 Test-Command: debian/tests/run-upstream-tests TESTS="16"
 Depends: btrfs-progs,
          busybox,
@@ -39,20 +43,24 @@
          make,
          mount,
          parted,
+         qemu-efi-aarch64 [arm64],
+         qemu-efi-arm [armhf],
          qemu-kvm,
+         seabios [ppc64el],
          squashfs-tools,
          systemd-sysv,
          util-linux
 Restrictions: allow-stderr, needs-root
 Features: test-name=upstream-dracut-live
 
-Architecture: amd64
+Architecture: amd64 arm64 armhf ppc64el riscv64 s390x
 Test-Command: debian/tests/run-upstream-tests TESTS="40"
 Depends: cryptsetup,
          dracut-network,
          gawk,
          iproute2,
          iputils-ping,
+         isc-dhcp-client,
          isc-dhcp-server,
          linux-image-generic,
          lvm2,
@@ -62,7 +70,10 @@
          nbd-client,
          nbd-server,
          procps,
+         qemu-efi-aarch64 [arm64],
+         qemu-efi-arm [armhf],
          qemu-kvm,
+         seabios [ppc64el],
          systemd-sysv,
          util-linux,
          vim
